View Issue Details

IDProjectCategoryView StatusLast Update
0016250Legion CoreClasses - Priest - Жрецpublic2021-09-25 04:14
ReporterDie happyAssigned ToGhost 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Summary0016250: Стрела Бездны > Обновление эффектов
DescriptionПри использовании умения "Стрела Бездны", "Прикосновение вампира" и "Слово Тьмы: Боль" на цели должны обновляться по следующей формуле:

Время действия эффектов на момент использования "Стрела Бездны" + время полёта до цели + 3 секунды (и анимация обновления эффектов) когда стрела попала в цель.

Steps To ReproduceЭто сразу бросается в глаза. У вас при попадании стрелы просто добавляются 3 секунды.

Activities

Shadowraze

2021-09-21 17:36

updater   ~0048540

Здравствуйте, нужно подтверждение вашим словам.

Die happy

2021-09-21 18:56

reporter   ~0048541

Здравствуйте.
https://youtu.be/sGCy5kl5DUM?t=398

Shadowraze

2021-09-21 22:06

updater   ~0048546

Возможно я не верно понял ваш репорт, но я вижу что здесь работает как должно, можете обьяснить еще раз подробнее.

Die happy

2021-09-22 04:21

reporter   ~0048551

У нас от умения "Стрела Бездны" эффекты не обновляются.
К ним просто прибавляется по 3 секунды.
На этом видео будет видно чуть лучше что имею ввиду.
https://youtu.be/7f-kW2Gzz70?t=1300 (21:40)
На моменте 21:45 игрок использует "Стрела Бездны" и эффекты "Прикосновение вампира", "Слово Тьмы: Боль" обновляются, но обновляются они не на своё максимальное время действия, а а на:

Время эффектов на момент использования стрелы + Время полёта стрелы до цели + 3 секунды в момент попадания (если целей несколько, то так должно быть на всех кто в зоне попадания стрелы).

Возможно будет проще понять по исправлению с другого сервера. Добавлю для этого скрин.

Снимок.JPG (35,582 bytes)
Снимок.JPG (35,582 bytes)

JohnJurney

2021-09-22 06:38

reporter   ~0048552

У нас обновляется сразу, надо при попадании. Куда подробнее то)

ToHellAndBack

2021-09-22 07:46

reporter   ~0048553

Die happy переставай нести херню это раз.
во-вторых, фиксы с дерьмовых пидораток как пруфы не принимаются.

ставишь видос от Snutz, на скорость 0.25
21:44:500 - нажимается скилл.
21:45 снаряд начинает полет
21:46:200 - снаряд до цели еще не долетел, но урон уже был нанесен, и таймер обновился до максимального значения.

ToHellAndBack

2021-09-22 07:58

reporter   ~0048554

https://ibb.co/pWZTwVP - отметил для ТСа на скрине, красным урон нанесенный Стрелой Бездны, синим то что доты на момент нанесения урона уже обновились, зеленым фактическое местоположение снаряда(он пролетел примерно 2/3 дистанции до цели).

так что никакое "время полёта до цели" учитываться не должно, особенно это видно на БГшках в исполнении того же Snutz, где де-факто становится заметно что разницы нет, находится цель в 10м или в 40м от приста, эффект обновления дот(а так же урон от стрелы) срабатывает всегда примерно через 0.55-0.65 сек, хотя визуально снаряд может пройти только половину пути.

Die happy

2021-09-23 21:39

reporter   ~0048618

Хорошо, пусть я "несу херню" и ошибся.
Тогда по какой причине настакать (просто соблюдая ротацию) более минуты времени эффектов в одну цель, тут, как и на многих других "не дерьмовых пиратках" невозможно, а если сделать по описанной мной формуле - то все прекрасно? Я не слежу за ходом постов в темах, по этому не ответил сразу.
Проблема есть и это факт.

P.S. Сделай 10 скринов о том как настакал 2+ минуты времени в одну цель (соблюдая ротацию) :)

Ghost

2021-09-24 00:54

developer   ~0048628

и зачем ты переоткрыл репорт?

Ghost

2021-09-24 01:08

developer   ~0048630

не надо вестись на провокацию коментатора выше, он любит найти недоговоры в ваших репортах, особенно, когда идет ввод в заблуждение

ToHellAndBack

2021-09-24 07:05

reporter   ~0048634

Ghost увы, но время полёта стрелы не учитывается.. это заметно и в видео от Snutz`а с арены https://www.youtube.com/watch?v=mO3L37lUHzA&ab_channel=Snutz

и в видосе Publik`a с ключей https://www.youtube.com/watch?v=WdaESkxCrmY&ab_channel=ExiledPower, у него это видно лучше тк выведена WAшка на середину экрана.

Ghost

2021-09-24 07:30

developer   ~0048635

ниче не понял

ToHellAndBack

2021-09-24 13:34

reporter   ~0048640

Ghost если совсем простым языком, то время полета снаряда не учитывается.
потому что вне зависимости от расстояния до цели(хоть 10м, хоть 40м), эффект нанесения урона и обновление таймера происходит через 200-300мс после прожатия спелла.

таймер обновляется по принципу "остаточное время на момент прожатия болта" + 3 секунды.

и небольшой офтоп
у варовского spell=23920 у армса, имеет аналогичное окно, за счёт которого он может рефлектнуть не 1 спелл, а несколько. и это прекрасно видно в логах, когда рефлектится несколько спеллов, где разница между окончаниями кастов не превышает 100-200мс. да и у других классов есть подобные приколы со спеллами с "карманами"

Ghost

2021-09-24 15:16

developer   ~0048642

не должно учитываться или должно? я вот это не пойму щас никак)

ToHellAndBack

2021-09-24 15:49

reporter   ~0048643

Ghost ну заканчивай стебаться, глянь на WAшки, и убедись сам что время полета снаряда игнорируется. причем игнорируется не только у этого спелла.

Ghost

2021-09-24 16:13

developer   ~0048645

я не стебусь, я задал конкретный вопрос блин

Issue History

Date Modified Username Field Change
2021-09-21 06:01 Die happy New Issue
2021-09-21 06:01 Die happy Status new => assigned
2021-09-21 06:01 Die happy Assigned To => Shadowraze
2021-09-21 17:36 Shadowraze Note Added: 0048540
2021-09-21 18:56 Die happy Note Added: 0048541
2021-09-21 22:06 Shadowraze Note Added: 0048546
2021-09-22 04:21 Die happy File Added: Снимок.JPG
2021-09-22 04:21 Die happy Note Added: 0048551
2021-09-22 06:38 JohnJurney Note Added: 0048552
2021-09-22 07:46 ToHellAndBack Note Added: 0048553
2021-09-22 07:58 ToHellAndBack Note Added: 0048554
2021-09-23 00:01 Ghost Assigned To Shadowraze => Ghost
2021-09-23 00:01 Ghost Status assigned => resolved
2021-09-23 00:01 Ghost Resolution open => fixed
2021-09-23 21:39 Die happy Status resolved => feedback
2021-09-23 21:39 Die happy Resolution fixed => reopened
2021-09-23 21:39 Die happy Note Added: 0048618
2021-09-24 00:54 Ghost Note Added: 0048628
2021-09-24 01:08 Ghost Note Added: 0048630
2021-09-24 07:05 ToHellAndBack Note Added: 0048634
2021-09-24 07:30 Ghost Note Added: 0048635
2021-09-24 13:34 ToHellAndBack Note Added: 0048640
2021-09-24 15:16 Ghost Note Added: 0048642
2021-09-24 15:49 ToHellAndBack Note Added: 0048643
2021-09-24 16:13 Ghost Note Added: 0048645
2021-09-25 04:14 Ghost Status feedback => resolved
2021-09-25 04:14 Ghost Resolution reopened => fixed